Mail archive
alpine-aports

[alpine-aports] [PATCH 3/3] testing/py-drbdmanage: new aport

From: Roland Kammerer <roland.kammerer_at_linbit.com>
Date: Tue, 29 Dec 2015 16:07:36 +0100

http://www.drbd.org
DRBD9 Cluster Management Tool
---
 testing/py-drbdmanage/APKBUILD                  | 57 +++++++++++++++++++++++++
 testing/py-drbdmanage/path.patch                | 11 +++++
 testing/py-drbdmanage/rm-systemd-and-bash.patch | 15 +++++++
 3 files changed, 83 insertions(+)
 create mode 100644 testing/py-drbdmanage/APKBUILD
 create mode 100644 testing/py-drbdmanage/path.patch
 create mode 100644 testing/py-drbdmanage/rm-systemd-and-bash.patch
diff --git a/testing/py-drbdmanage/APKBUILD b/testing/py-drbdmanage/APKBUILD
new file mode 100644
index 0000000..03e61e2
--- /dev/null
+++ b/testing/py-drbdmanage/APKBUILD
_at_@ -0,0 +1,57 @@
+# Contributor: Roland Kammerer <roland.kammerer_at_linbit.com>
+# Maintainer: Roland Kammerer <roland.kammerer_at_linbit.com>
+_usname=drbdmanage
+pkgname=py-$_usname
+pkgver=0.90
+pkgrel=0
+pkgdesc="DRBD9 Cluster Management Tool"
+url="http://www.drbd.org"
+arch="noarch"
+license="GPL"
+depends="python py-gobject dbus py-dbus lvm2"
+depends_dev=""
+makedepends="python-dev libxslt help2man py-gobject drbd-utils"
+install=""
+subpackages="$pkgname-doc"
+source="http://oss.linbit.com/$_usname/$_usname-$pkgver.tar.gz
+        rm-systemd-and-bash.patch
+	path.patch"
+
+_builddir=$srcdir/$_usname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build_man || return 1
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+doc() {
+	# Man pages
+	mkdir -p "$subpkgdir"/usr/share/man || return 1
+	mv "$pkgdir"/usr/share/man "$subpkgdir"/usr/share/ || return 1
+}
+
+
+md5sums="fc4bee4c909c23d5114fd15b15c11422  drbdmanage-0.90.tar.gz
+24c95b3312a4ee69e7225bdb0e19b4ed  rm-systemd-and-bash.patch
+1b42bc4f74bd15d9ebba45d37ba81ab6  path.patch"
+sha256sums="7041128052beb2615e447d579f678fe52ed54182ee1e1f72237f4bb2bdbb86be  drbdmanage-0.90.tar.gz
+14bc5ac238ccd56794f24f21ed5bbe2d957edb725b4cb0889d1f539e4c187e23  rm-systemd-and-bash.patch
+3ac85bdf5b2bdaaef7728c42e465de6f7a6b80828e02163337b5d4b9df1b5145  path.patch"
+sha512sums="ef26beebf3f9acdfd4d63981429afeb29ce25d0be803887914029d870193ff00582fb741ce9e6005f2f4e5202231fdd67c5751f495d574e4bb6eef605a73b1b6  drbdmanage-0.90.tar.gz
+ca8108c2a46b6cac54bc0b811547107329d34f58462075010d5af7c7b0c3cdbf58061e80057b54f095f0dedde54b3b8cb99b5b0aab21960e7c0d47b01528037e  rm-systemd-and-bash.patch
+f8a6c0c667333355e684a593dd1eec233e5a83943b1e911cd32b3c7fbf22047ddc9638e9a3c022c7c7a11ce1de55e6f39654bab8564eb5356d3b596552c79b67  path.patch"
diff --git a/testing/py-drbdmanage/path.patch b/testing/py-drbdmanage/path.patch
new file mode 100644
index 0000000..4868bf9
--- /dev/null
+++ b/testing/py-drbdmanage/path.patch
_at_@ -0,0 +1,11 @@
+--- a/drbdmanage/server.py
++++ b/drbdmanage/server.py
+_at_@ -165,7 +165,7 @@
+         KEY_MIN_PORT_NR    : str(DEFAULT_MIN_PORT_NR),
+         KEY_MAX_PORT_NR    : str(DEFAULT_MAX_PORT_NR),
+         KEY_MAX_FAIL_COUNT : str(DEFAULT_MAX_FAIL_COUNT),
+-        KEY_DRBDADM_PATH   : "/usr/sbin",
++        KEY_DRBDADM_PATH   : "/sbin",
+         KEY_EXTEND_PATH    : "/sbin:/usr/sbin:/bin:/usr/bin",
+         KEY_DRBD_CONFPATH  : "/var/lib/drbd.d",
+         KEY_DRBDCTRL_VG    : DEFAULT_VG,
diff --git a/testing/py-drbdmanage/rm-systemd-and-bash.patch b/testing/py-drbdmanage/rm-systemd-and-bash.patch
new file mode 100644
index 0000000..0041a62
--- /dev/null
+++ b/testing/py-drbdmanage/rm-systemd-and-bash.patch
_at_@ -0,0 +1,15 @@
+--- a/setup.py
++++ b/setup.py
+_at_@ -166,11 +166,8 @@
+                   ("/etc/dbus-1/system.d", ["conf/org.drbd.drbdmanaged.conf"]),
+                   ("/usr/share/dbus-1/system-services",
+                    ["conf/org.drbd.drbdmanaged.service"]),
+-                  ("/lib/systemd/system/", ["conf/drbdmanaged.service",
+-                                            "conf/drbdmanaged.socket"]),
+                   ("/var/lib/drbd.d", []),
+-                  ("/var/lib/drbdmanage", []),
+-                  ("/etc/bash_completion.d", ["scripts/bash_completion/drbdmanage"])]
++                  ("/var/lib/drbdmanage", [])]
+ 
+     # Don't overwrite existing file
+     if not os.path.isfile("/etc/drbdmanaged.cfg"):
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 29 2015 - 16:07:36 GMT